create_current_dc#
- NexximComponents.create_current_dc(name=None, value=1, location=None, angle=0, use_instance_id_netlist=False)[source]#
Create a current DC source.
- Parameters:
- name
str
,optional
Name of the current DC source. The default is
None
.- value
float
,optional
Current value. The default is
1
.- location
list
of
float
,optional
Position on the X axis and Y axis.
- angle
float
,optional
Angle rotation in degrees. The default is
0
.- use_instance_id_netlistbool,
optional
Whether to use the instance ID in the net list. The default is
False
.
- name
- Returns:
ansys.aedt.core.modeler.cad.object_3dcircuit.CircuitComponent
Circuit Component Object.
References
>>> oEditor.CreateComponent